Bug 239368 - noatun ( under GNOME ) crashes on startup
noatun ( under GNOME ) crashes on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Radek Bíba
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 17:43 EDT by Bruce Brackbill
Modified: 2008-05-06 15:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:34:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Brackbill 2007-05-07 17:43:22 EDT
Description of problem:
noatun, kaboodle and maybe all kde mulimedia programs crach on startup.

Version-Release number of selected component (if applicable):
kdemultimedia-3.5.6-0.1.fc6

How reproducible:
Start noatun and it stops immediately.

At the comand line:

$ noatun
Could not load library! Trying exec....
kdeinit: Launched DCOPServer, pid = 5301 result = 0
DCOP: register 'anonymous-5301' -> number of clients is now 1
kdeinit: Launched KLauncher, pid = 5305 result = 0
DCOP: unregister 'anonymous-5301'
DCOP: register 'klauncher' -> number of clients is now 1
kdeinit: opened connection to :0.0
DCOP: new daemon klauncher
Could not load library! Trying exec....
kdeinit: Launched KDED, pid = 5306 result = 0
DCOP: register 'kded' -> number of clients is now 1
DCOP: unregister 'kded'
DCOP: register 'kded' -> number of clients is now 1
DCOP: register 'anonymous-5306' -> number of clients is now 2
kdeinit: Got EXT_EXEC 'kbuildsycoca' from launcher.
Could not load library! Trying exec....
DCOP: register 'kbuildsycoca' -> number of clients is now 3
kbuildsycoca running...
DCOP: register 'anonymous-5308' -> number of clients is now 4
DCOP: unregister 'anonymous-5308'
DCOP: unregister 'kbuildsycoca'
kdeinit: PID 5308 terminated.
kdeinit: Got EXEC_NEW 'kconf_update' from launcher.
Could not load library! Trying exec....
kdeinit: PID 5309 terminated.
DCOP: new daemon kded
DCOP: unregister 'anonymous-5306'
kdeinit: PID 5306 terminated.
DCOP: register 'noatun' -> number of clients is now 1
DCOP: register 'anonymous-5297' -> number of clients is now 2
$ DCOP: unregister 'anonymous-5297'

Then I quit the application from the GUI and the command line shows:

$ QApplication::postEvent: Unexpected null receiver
DCOP: unregister 'noatun'

$ DCOPServer : slotTerminate() -> sending terminateKDE signal.
DCOP: unregister 'klauncher'
kdeinit: terminate KDE.
DCOP: unregister 'kded'

$ DCOPServer : slotSuicide() -> exit.

Steps to Reproduce:
1. start noatun
2. it stops
3. if started at command line i see errors
  
Actual results:

noatun does not run


Expected results:

noatun runs


Additional info:  

It appears all kdemultimedia programs have the same bad result/crash

I am also running this UNDER GNOME
Comment 1 Bug Zapper 2008-04-04 03:11:53 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:34:53 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.